% [idx C] = greedy_cluster(X, k)
% [idx C] = greedy_cluster(X, k, mindist)
%
%   Performs a greedy clustering on the columns of X.  It will add
%   up to k centers, until the distance each point to its closest
%   center is less than mindist.  idx will be which center each
%   point is assigned to, with the point X(1, :) closest to center
%   C(idx(1), :).
%