#ifndef __SORT_H__
#define __SORT_H__

#ifdef __cplusplus
#include <cstdlib>
extern "C" {
#else
#include <stdlib.h>
#endif

// ints
void sort_ints(size_t n, int *list);
void sort_ints_permutation(size_t n, int *list, int *perm);

int *bsearch_ints(size_t n, int key, int *values);

void unique_ints(size_t *n, int *list);

// doubles
void sort_doubles(size_t n, double *list);
void sort_doubles_permutation(size_t n, double *list, int *perm);

double *bsearch_doubles(size_t n, double key, double *values);

#ifdef __cplusplus
}
#endif

#endif // #ifndef __SORT_H__
